Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::FileSource Class Reference
Ipe Base

Data source for parsing from a file. More...

`#include <ipebase.h>`

Inherits ipe::DataSource.

List of all members.

## Public Member Functions

- FileSource (std::FILE *file)
- virtual int getChar ()

## Detailed Description

Data source for parsing from a file.

## Constructor & Destructor Documentation

FileSource::FileSource | ( | std::FILE * | file | ) |

## Member Function Documentation

int FileSource::getChar | ( |  | ) | `[virtual]`

Get one more character, or EOF.

Implements ipe::DataSource.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp